Subject: Re: git-apply does not work in a sub-directory of a Git repository

From: Junio C Hamano <[email-masked]>
Date: Wed, 30 Mar 2016 10:13:56 -0700

Duy Nguyen <[email-masked]> writes:

> But your suggestion is good and I can't think of any better. We could
> introduce pathspec as ftiler after "--", but it does not look elegant,
> and it overlaps with --include/--exclude.

I was imagining that we would allow the magic pathspec syntax used
in --include/--exclude command line option parameter.  Nobody sane
uses glob special characters in their pathnames and those that do
deserve whatever breakage that comes to them.

> Perhaps we can start to warn people if --include is specified but has
> no effect for a cycle or two, then we can do as you suggested?

I do not think I'd be against going in that direction.